Vue.component('reserved-list', {
	template: '<ul class="consultation-list">\
				<li v-for="(list,index) in toBeReservedList" class="consultation-list-item" @click="viewDetail(list.id)">\
					<p class="follow-up-doctor"><span class="start-time pull-right">预约时间：{{list.czrq.substr(0,19)}}</span>预约医生：{{list.doctorName}}</p>\
					<div class="follow-user-info">\
						<p>科室/医院：{{list.deptName}}/{{list.orgName}}</p>\
						<p class="completion-time">就诊时间：{{list.startTime?list.startTime.substr(0,16):""}}</p>\
					</div>\
				</li>\
			</ul>',
	data: function() {
		return {
			toBeReservedList: "",
			curPage:1
		}
	},
	props:["reserveData"],
	methods: {
		viewDetail:function(id){
			top.layer.open({
			    type: 2,
			    maxmin: true,
			    area: ['1000px', '600px'],
			    shadeClose: false,
			    title:'代预约详情',
			    content: '../html/lay_detail_reserved.html?orderId='+id
		   	});
		}
		
	},
	watch:{
		reserveData:function(){
			this.toBeReservedList = this.reserveData;
		}
	},
	mounted: function() {
		var divH = $("#tab-iframe",parent.document).height() - 75;
		$(".consultation-list").slimScroll({ height: divH,color: '#666'});
	}
})